%global gem_name json_spec

Name:           rubygem-%{gem_name}
Version:        1.1.5
Release:        2%{?dist}
Summary:        Easily handle JSON in RSpec and Cucumber

Group:          Development/Languages
License:        MIT
URL:            https://github.com/collectiveidea/json_spec
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem
# only for ruby 2.4+
Patch0:         %{name}-ruby24.patch

BuildArch:      noarch
BuildRequires:  rubygems-devel
BuildRequires:  rubygem(cucumber)
BuildRequires:  rubygem(multi_json)
BuildRequires:  rubygem(rspec)
%if 0%{?rhel} && 0%{?rhel} <= 7
Requires:       ruby(release)
Requires:       ruby(rubygems)
Requires:       rubygem(multi_json) < 2
Requires:       rubygem(multi_json) >= 1.0
Requires:       rubygem(rspec) < 4.0
Requires:       rubygem(rspec) >= 2.0
Provides:       rubygem(%{gem_name}) = %{version}
%endif

%description
RSpec matchers and Cucumber steps for testing JSON content.


%package doc
Summary:        Documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
Documentation for %{name}.


%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}
%if 0%{?fedora} >= 26
%patch0 -p1
%endif

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# remove developer-only files
for f in .gitignore .travis.yml Gemfile Rakefile gemfiles/*; do
  rm $f
  sed -i "s|\"$f\"\(.freeze\)\?,\?||g" %{gem_name}.gemspec
done


%build
gem build %{gem_name}.gemspec

%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%check
pushd .%{gem_instdir}
rspec -Ilib spec
cucumber --tags ~@fail
popd


%files
%license %{gem_instdir}/LICENSE.txt
%dir %{gem_instdir}/
%{gem_libdir}/
%{gem_spec}
%exclude %{gem_cache}
%exclude %{gem_instdir}/%{gem_name}.gemspec

%files doc
%doc %{gem_docdir}/
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/features/
%{gem_instdir}/spec/


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat May 06 2017 František Dvořák <valtri@civ.zcu.cz> - 1.1.5-1
- Update to 1.1.5 (#1447817)

* Thu Feb 16 2017 František Dvořák <valtri@civ.zcu.cz> - 1.1.4-6
- Consider also freezed strings in list of files
- Patch to support Ruby 2.4+

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 07 2016 František Dvořák <valtri@civ.zcu.cz> - 1.1.4-4
- Updates for EPEL7
- License macro

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Oct 13 2014 František Dvořák <valtri@civ.zcu.cz> - 1.1.4-1
- Update to 1.1.4
- Distribute testsuite in -doc subpackage

* Tue Aug 5 2014 František Dvořák <valtri@civ.zcu.cz> - 1.1.2-1
- Initial package
